#ifndef RTC_H
#define RTC_H

#include <vsos.h>

// RTC cannot be found by the hardware; probably not powered 
#define RTC_NOT_FOUND	0xFFFFFFFEUL
// RTC can be found but time has not been set 
#define RTC_NOT_SET	0xFFFFFFFFUL

// Return RTC value
u_int32 GetRtc(void);
// Return 8-bit divider register value
u_int16 GetRtc128(void);
// Returns t if ok, RTC_NOT_FOUND if RTC hardware cannot be found
u_int32 SetRtc(register u_int32 t);

// Writes the parameter to the shifter
void WriteShifter(u_int32);
// Reads the shifter and writes back the value
u_int32 ReadShifter(void);

#endif /* RTC_H */
